﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication7
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private DataTable dt;
        private void Form1_Load(object sender, EventArgs e)
        {
            this.dt = DummyDataCreator.GetData(100, new Type[] { typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string), typeof(string)});
            this.ultraGrid1.SetDataBinding(dt, null);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];

            UltraGridGroup unfixedGroup = band.Groups.Add("Unfixed");
            UltraGridGroup fixedGroup = band.Groups.Add("Fixed");
            fixedGroup.Header.Fixed = true;

            int columnCount = band.Columns.Count;
            foreach (UltraGridColumn column in band.Columns)
            {
                column.Group = (column.Index < (columnCount -3))
                    ? unfixedGroup
                    : fixedGroup;
            }

            layout.UseFixedHeaders = true;
            layout.Override.FixHeadersOnRight = Infragistics.Win.DefaultableBoolean.True;

            layout.Override.FixedCellAppearance.BackColor = Color.Yellow;
            layout.Override.FixedHeaderAppearance.BackColor = Color.Gold;            
        }
    }
}
